import { getCurrentInstance } from "@vue/composition-api";
import ziggy from "ziggy-js";
/**
 * Vue Inertia Composable
 *
 * @license MIT
 * @author Logue {@link logue@hotmail.co.jp}
 * @copyright 2022 Masashi Yoshikawa {@link https://logue.dev/} All rights reserved.
 * @see {@link https://github.com/logue/vue-inertia-composable}
 */
function useHeadManager() {
  const instance = getCurrentInstance();
  if (!instance) {
    throw new Error(`Should be used in setup().`);
  }
  return instance.proxy.$headManager;
}
function usePage() {
  const instance = getCurrentInstance();
  if (!instance) {
    throw new Error(`Should be used in setup().`);
  }
  return instance.proxy.$page;
}
function useInertia() {
  const instance = getCurrentInstance();
  if (!instance) {
    throw new Error(`Should be used in setup().`);
  }
  return instance.proxy.$inertia;
}
function route(name, params, absolute, config) {
  const instance = getCurrentInstance();
  if (!instance) {
    return ziggy(name, params, absolute, config);
  }
  return instance.proxy.route(name, params, absolute, config);
}
export { route, useHeadManager, useInertia, usePage };
